<?php
gp_title( __( 'Create New Glossary &lt; GlotPress', 'glotpress' ) );
gp_breadcrumb_project(
	$project,
	array(
		gp_link_get( gp_url_project_locale( $project->path, $locale->slug, $translation_set->slug ), $translation_set->name ),
		__( 'Create New Glossary', 'glotpress' ),
	)
);
gp_tmpl_header();
?>

<h2><?php _e( 'Create New Glossary', 'glotpress' ); ?></h2>
<form action="" method="post">
	<p>
		<label for="glossary-new-description"><?php _e( 'Description (optional)', 'glotpress' ); ?></label> <span class="ternary"><?php _e( 'can include HTML', 'glotpress' ); ?></span><br/>
		<textarea id="glossary-new-description" name="glossary[description]" rows="4" cols="40"></textarea>
	</p>

	<div class="button-group">
		<input class="button is-primary" type="submit" name="submit" value="<?php esc_attr_e( 'Create', 'glotpress' ); ?>" id="submit" />
		<a class="button is-link" href="<?php echo esc_url( gp_url_project_locale( $project, $locale->slug, $translation_set->slug ) ); ?>"><?php _e( 'Cancel', 'glotpress' ); ?></a>
	</div>

	<input type="hidden" name="glossary[translation_set_id]" value="<?php echo esc_attr( $glossary->translation_set_id ); ?>"/>
	<?php gp_route_nonce_field( 'add-glossary' ); ?>
</form>

<?php
gp_tmpl_footer();
